DoomBuilder Direct X

Fri Feb 24, 2017 9:34 pm

After recently updating to Windows 7 from XP, when I try and open DoomBuilder it asks if I want to update Direct X as it requires the "latest" version. The problem is that I know that it has a higher Direct X than I had before on XP as X9(?) was the best it could run, so I should have a better Direct X than required as I have X11. So I tried updating it though Builder out of curiosity... causing it to crash. Is there a problem with newer Direct X's that causes it not to work?